import { default as fluentui } from '@fluentui/merge-styles';

export interface Knob {
    show: boolean;
    normalHidden: boolean;
}
export declare enum SplitterPositions {
    CENTER = "central",
    EXTERNAL = "external",
    INTERNAL = "internal"
}
export type PanePosition = SplitterPositions | string;
export interface Options {
    prefix: string;
    width: number;
    activeAreaWidth?: number;
    addStateClasses?: boolean;
    position: PanePosition;
    cursor: Partial<Record<"horizontal" | "vertical", CSSStyleDeclaration["cursor"]>>;
    knob: Partial<Knob>;
    touchActions: boolean;
}
export type ResizeBoundingClassNames = "container" | "pane" | "splitter" | "splitterContainer" | "knob";
export interface IResizeBoundingClassNames {
    container: string;
    pane: string;
    splitter: string;
    splitterContainer: string;
    knob: string;
}
export interface IStyles extends Record<ResizeBoundingClassNames, IStyle> {
}
export type IStyle = fluentui.IStyle;
export type IStyleSet = fluentui.IStyleSet;
export type PaneDirectionKey = PaneDirections | PaneDirections | string;
export declare enum PaneDirectionAliases {
    HORIZONTAL = "h",
    VERTICAL = "v"
}
export declare enum PaneDirections {
    LEFT = "l",
    RIGHT = "r",
    BOTTOM = "b",
    TOP = "t"
}
